<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class OrderItem extends Model 
{

    protected $table = 'order_items';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];
    protected $fillable = array('order_id', 'orderable_type', 'orderable_id');

    public function order()
    {
        return $this->belongsTo('App\Order', 'order_id');
    }

    public function orderable()
    {
        return $this->morphTo();
    }

}